Package com.emc.d2fs.interfaces

# Interface IThumbnailsService

All Superinterfaces:
  `ID2fsService`

public interface IThumbnailsService extends ID2fsService
Document thumbnail services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getThumbnailsUrlList(Context context, Set<String> ids, Map<String,Object>... others)`
  `List<String>`
  `getThumbnailsUrls(Context context, String id)`
  Get thumbnail url list of children documents
  `String`
  `getThumbnailUrl(Context context, String id)`
  Get thumbnail url of document
  `boolean`
  `isProtectedInControlledView(Context context, String id, List<Attribute> parameters)`
  Test if the document is encrypted through controlled view

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getThumbnailUrl

    String getThumbnailUrl(Context context, String id) throws Exception
    Get thumbnail url of document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      String value of url
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getThumbnailsUrls

    List<String> getThumbnailsUrls(Context context, String id) throws Exception
    Get thumbnail url list of children documents
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of parent document id
    Returns:
      String list of urls
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### isProtectedInControlledView

    boolean isProtectedInControlledView(Context context, String id, List<Attribute> parameters) throws Exception
    Test if the document is encrypted through controlled view
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `parameters` - `Attribute` list of parameters
    Returns:
      true if document is protected
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getThumbnailsUrlList

    Map<String,String> getThumbnailsUrlList(Context context, Set<String> ids, Map<String,Object>... others) throws Exception
    Throws:
      `Exception`